## network-manager 1.6.0

=== debian/changelog ===
network-manager (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2017 21:19:51 +0100

network-manager (1.5.91-1) experimental; urgency=medium

  * New upstream release (1.6 rc2)
  * Update Vcs-* according to the latest recommendation
  * Install ppp plugin.
    The PPP manager was split into a separate plugin which can be loaded on
    demand.
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Jan 2017 00:05:28 +0100

network-manager (1.5.90-2) experimental; urgency=medium

  * Add explicit Build-Depends on automake (>= 1.12) as required by
    configure.ac

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Jan 2017 11:52:22 +0100

network-manager (1.5.90-1) experimental; urgency=medium

  * New upstream release (1.6 rc1).
  * Rebase patches.
  * Enable JSON validation.
    This enables team configuration validation via Jansson.
  * Update symbols file for libnm0.
  * Install the D-Bus interface introspection files in network-manager-dev.
  * Update package description for the dev packages.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Jan 2017 00:00:50 +0100

network-manager (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Refresh patches, dropping ones that are included upstream:
    - manager-fix-state-transition-on-resuming-from-sleep.patch
    - wifi-notify-the-AccessPoint-change-after-an-AP-is-removed.patch

 -- Aron Xu <aron@debian.org>  Tue, 20 Dec 2016 20:57:07 +0800

network-manager (1.4.2-2) unstable; urgency=medium

  * Drop Build-Depends on dh-systemd, no longer necessary with debhelper 10.
  * Do not (re)start NetworkManager-dispatcher.service as part of the upgrade
    process. This was an unintended side-effect of switching to debhelper
    compat level 10. (Closes: #839884)

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Oct 2016 22:16:53 +0200

network-manager (1.4.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix emission of NM-style PropertiesChanged signals and deprecate them
      for PropertiesChanged on "org.freedesktop.DBus.Properties" interface.
      (Closes: #836270)
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Oct 2016 01:01:42 +0200

network-manager (1.4.0-4) unstable; urgency=medium

  * Drop override for dh_auto_test. We don't explicitly need to dump the log
    files as dh_auto_test runs with VERBOSE=1 by default.
  * Fix MAC address randomization.
    Cherry-pick a couple of upstream commits which work around driver bugs
    when MAC address randomization is used. (Closes: #835822, #835553)
  * Bump debhelper compat level to 10.
  * Don't try to decrypt PKCS#8 key if no password is supplied. This fixes
    failures with GnuTLS 3.5.4 which supports PBES1-DES-CBC-MD5 now.
    (Closes: #838594)

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Sep 2016 23:53:33 +0200

network-manager (1.4.0-3) unstable; urgency=medium

  * Export _IO_stdin_used symbol in NetworkManager.ver.
    This symbol is required to decide which version of certain IO functions
    to use on various architectures. So we can't strip away the symbol from
    the NetworkManager binary as this will lead to segfaults on those
    architectures. (Closes: #835550)

 -- Michael Biebl <biebl@debian.org>  Sun, 28 Aug 2016 16:11:16 +0200

network-manager (1.4.0-2) unstable; urgency=medium

  * Correctly set the connectivity state if we enforce online mode with
    unmanaged devices.
  * Stop mentioning "managed=true" mode in README.Debian. Its usage is
    strongly discouraged nowadays.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Aug 2016 21:31:54 +0200

network-manager (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update symbols file for libnm0.
  * Ignore new "connectivity-change" events in ifupdown dispatcher hook.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Aug 2016 16:13:15 +0200

network-manager (1.2.4-2) unstable; urgency=medium

  * Demote isc-dhcp-client from Depends to Recommends.
    NetworkManager will automatically fall back to the internal dhcp client if
    dhclient is not available. (Closes: #826680)

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Aug 2016 16:57:18 +0200

network-manager (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update symbols file for libnm0.
  * Replace /etc/resolv.conf symlink with an empty file on package removal
    to signal other packages that NetworkManager is no longer controlling the
    file. (Closes: #826366)
  * Clear WiFi requested_scan if wpa_supplicant exits or goes inactive.
    Patches cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Tue, 09 Aug 2016 09:13:34 +0200

network-manager (1.2.2-2) unstable; urgency=medium

  * Let NetworkManager.service pull in network.target. This will provide a
    proper ordering on shutdown.
  * Enable NetworkManager-wait-online.service. This ensures that mounting of
    network file systems works properly and SysV init scripts depending on
    $network will be delayed until network is available (or a timeout is
    reached).
  * Make sure NetworkManager-wait-online.service is enabled on upgrades. We
    need to purge the old state, otherwise i-s-h won't enable the service on
    upgrades.

 -- Michael Biebl <biebl@debian.org>  Thu, 02 Jun 2016 19:00:45 +0200
