## network-manager 1.6.2

=== debian/changelog ===
network-manager (1.6.2-3+devuan1.1) unstable; urgency=medium

  * replaced udev with eudev in initscript
  * updated Maintainer: in control

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 18 Dec 2017 09:45:02 +0000

network-manager (1.6.2-3+devuan1) unstable; urgency=medium

  [ KatolaZ ]
  * nosystemd patch from https://github.com/bidaian/no-systemd/
  * removed some remaining systemd deps

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 17 Dec 2017 16:30:04 +0000

network-manager (1.6.2-3) unstable; urgency=medium

  * device/wifi: block autoconnect while scanning is in progress.
    We should only start autoconnecting after the scan is complete.
    Otherwise, we might activate a shared connection or pick a
    connection based on an incomplete scan list. (Closes: #854078)

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Mar 2017 12:59:56 +0100

network-manager (1.6.2-2) unstable; urgency=medium

  * libnm: disconnect signal from D-Bus proxies on dispose (Closes: #854810)
  * dhcp/dhclient: parse "interface" statements.
    Until now any "interface" statement was ignored and any enclosed
    statement for which we have a special handling was considered, even if
    belonging to a different interface. This can cause wrong options to be
    set in the generated dhclient configuration. (Closes: #855910)

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Mar 2017 22:12:18 +0100

network-manager (1.6.2-1) unstable; urgency=medium

  * New upstream release
    - nm-online: return from quit_if_connected after setting retval.
      This fixes a regression introduced by 1.6.0 where  "nm-online -x -q"
      always exits with status 1 (offline). (Closes: #852815)
    - dhcp: dhclient: reset the request list if conf file contains 'request'.
      This fixes DNS resolution problems when using dhclient due to duplicated
      search domain strings in /etc/resolv.conf. (Closes: #854343)

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Feb 2017 23:24:17 +0100
