## network-manager 1.8.4

=== debian/changelog ===
network-manager (1.8.4-1ubuntu3) artful; urgency=medium

  * New no-change upload after more launchpad tweaking

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Oct 2017 15:30:23 +0200

network-manager (1.8.4-1ubuntu2) artful; urgency=medium

  * No change rebuild after disabling the translations sharing between
    upstream and Ubuntu on launchpad, that way the translations from the
    source should get imported (lp: #1722742)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Oct 2017 12:22:25 +0200

network-manager (1.8.4-1ubuntu1) artful; urgency=medium

  * debian/patches/manager-Disconnect-from-signals-on-the-proxy-when-we.patch,
    debian/patches/vpn-remote-connection-disconnect-signal-handlers-whe.patch:
    Cherry-pick two patches from upstream. Fix leaked signal connections which
    caused handlers to be called on disposed objects, leading to crashes in
    some situations. (LP: #1704618) (LP: #1718006)
  * Merge with Debian. Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/control, debian/rules:
      + Disable team support since it's in universe
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + Handle upgrades from unmanaged policy
      + drop in an empty override file for NetworkManager to manage all devices
        for upgrade from any version, as long as there is no netplan
        configuration yet. (LP: #1676547)
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Update Vcs links to point to Ubuntu branch
    - debian/patches/*: Add patches. See patch descriptions for more details.
    - dpkg-shlibdeps doesn't parse Version Reference, thus add a manual dep
      on libc6 >= 2.25. LP: #1715641.
    - Add n-m-config-connectivity-ubuntu package (LP: #997200)
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems. (LP: #1681513)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Sep 2017 18:56:30 +0100

network-manager (1.8.4-1) unstable; urgency=medium

  * New upstream version 1.8.4
  * Rebase patches
  * Switch to dh_missing and abort on uninstalled files

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Sep 2017 22:05:36 +0200

network-manager (1.8.2-1ubuntu8) artful; urgency=medium

  * debian/network-manager.postinst: drop in an empty override file for
    NetworkManager to manage all devices for upgrade from any version, as long
    as there is no netplan configuration yet. (LP: #1676547)

 -- Brian Murray <brian@ubuntu.com>  Mon, 11 Sep 2017 10:20:18 -0700

network-manager (1.8.2-1ubuntu7) artful; urgency=medium

  * dpkg-shlibdeps doesn't parse Version Reference, thus add a manual dep
    on libc6 >= 2.25. LP: #1715641.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Sep 2017 16:21:15 +0100

network-manager (1.8.2-1ubuntu6) artful; urgency=medium

  * src/dns/nm-dns-manager.c:
    - Fix resolved detection, the symlink target is usually relative to
    the root, such that in chroots the file points to a file inside the
    chroot. But keep absolute targets too, as these may have been in use
    with older version of systemd.
    - Add support for stub-resolv.conf detection.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 06 Sep 2017 16:34:29 +0100

network-manager (1.8.2-1ubuntu5) artful; urgency=medium

  * Add connectivity-allow-override.patch:
    - Cherry-pick patch to fix using D-Bus to override connectivity check
      disabling in /etc/ . See GNOME bug 786890 for more details.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Aug 2017 09:23:01 -0400

network-manager (1.8.2-1ubuntu4) artful; urgency=medium

  * Add n-m-config-connectivity-ubuntu package (LP: #997200)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 27 Aug 2017 18:51:23 -0400

network-manager (1.8.2-1ubuntu3) artful; urgency=medium

  [ James Henstridge ]
  * Backport connectivity checking API from master. (LP: #1704162)

  [ Jeremy Bicha ]
  * NetworkManager.conf: disable MAC randomization feature. There is no
    easy way for desktop users to disable this feature yet. And there are
    reports that it doesn't work well with some systems. (LP: #1681513)

 -- James Henstridge <james.henstridge@canonical.com>  Tue, 22 Aug 2017 17:18:49 +0800

network-manager (1.8.2-1ubuntu2) artful; urgency=medium

  * Restore dnsmasq-base recommends. This was dropped on switching to
    resolved but is still needed for creating Ad-hoc connections and
    connection sharing. (LP: #1678606)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 26 Jul 2017 09:22:49 -0400

network-manager (1.8.2-1ubuntu1) artful; urgency=medium

  * Merge with Debian. Remaining changes:
   - Use systemd-resolved instead of dnsmasq
   - debian/control:
     + Depend on isc-dhcp-client instead of recommends
     + Recommend network-manager-pptp
     + Suggest avahi-autoipd for IPv4LL support
   - debian/control, debian/rules:
     + Disable team support since it's in universe
   - debian/rules, debian/network-manager.postinst:
     + Don't restart NetworkManager on upgrade but recommend restarting
       the computer
   - debian/rules, debian/network-manager.postinst:

