=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> 
-Uploaders: utopia maintenance team <pkg-utopia-maintainers@lists.alioth.debian.org>,
- Michael Biebl <biebl@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.3),
                automake (>= 1.12),
                dpkg-dev (>= 1.17.14),
                pkg-config,
@@ -25,11 +25,13 @@
                libaudit-dev,
                libgnutls28-dev (>= 2.12),
                uuid-dev,
-               libudev-dev (>= 165),
-               libgudev-1.0-dev (>= 165),
+               systemd (>= 185),
+               libsystemd-dev (>= 209),
+               libudev-dev (>= 175),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
-               libsoup2.4-dev (>= 2.40),
+               libpsl-dev (>= 0.1),
+               libcurl4-gnutls-dev (>= 7.24.0),
                gtk-doc-tools,
                perl,
                libyaml-perl,
@@ -38,36 +40,44 @@
                libndp-dev,
                libreadline-dev,
                libnewt-dev (>= 0.52.15),
-               libteam-dev (>= 1.9),
+#               libteam-dev (>= 1.9),
                libjansson-dev,
                libbluetooth-dev (>= 5),
+               valac (>= 0.17.1.24),
                dbus <!nocheck>,
                python-gi <!nocheck>,
                python-dbus <!nocheck>
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/network-manager.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/network-manager.git
+Standards-Version: 4.0.0
+Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu
+Vcs-Browser: https://git.launchpad.net/network-manager?h=artful
+XS-Debian-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/network-manager.git
+XS-Debian-Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/network-manager.git
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
+# for some reason, building against glibc 2.26 requires GLIBC_2.25 symbol
+# yet shlibs:Depends is not generated for it LP: #1715641
+         libc6 (>= 2.25),
          ${misc:Depends},
          lsb-base (>= 3.2-14),
          wpasupplicant (>= 0.7.3-1),
          dbus (>= 1.1.2),
          udev,
          adduser,
+         isc-dhcp-client (>= 4.1.1-P1-4),
+         libpam-systemd,
          policykit-1
 Recommends: ppp,
             dnsmasq-base,
             iptables,
             modemmanager,
+            network-manager-pptp,
             crda,
-            isc-dhcp-client (>= 4.1.1-P1-4),
             iputils-arping
-Suggests: libteam-utils
+Suggests: avahi-autoipd
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
@@ -80,13 +90,11 @@
  interact with NetworkManager.
  .
  Optional dependencies:
-  * ppp: Required for establishing dial-up connections (e.g. via GSM).
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
+    address configuration.
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
-    address configuration.
-  * libteam-utils: Network Team driver allows multiple network interfaces to be
-    teamed together and act like a single one. This process is called "ethernet
-    bonding", "channel teaming" or "link aggregation".
+  * ppp: Required for establishing dial-up connections (e.g. via GSM).
 
 Package: network-manager-dev
 Section: devel
@@ -229,7 +237,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libnm0 (= ${binary:Version}),
-         gir1.2-networkmanager-1.0 (= ${binary:Version}),
+         gir1.2-nm-1.0 (= ${binary:Version}),
          libglib2.0-dev
 Description: GObject-based client library for NetworkManager (development files)
  NetworkManager is a system network service that manages your network devices
@@ -246,16 +254,61 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
-Description: GObject introspection data for NetworkManager
- NetworkManager is a system network service that manages your network devices
- and connections, attempting to keep active network connectivity when
- available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
- devices, and provides VPN integration with a variety of different VPN
- services.
- .
- This package contains introspection data for NetworkManager.
+         ${misc:Depends},
+         gir1.2-nm-1.0
+Description: GObject introspection data for the libnm-glib/libnm-util library
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains introspection data for NetworkManager using
+ libnm-glib/libnm-util.
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
+Package: gir1.2-nm-1.0
+Section: introspection
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Breaks: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
+Replaces: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
+Description: GObject introspection data for the libnm library
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains introspection data for NetworkManager using libnm.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+
+Package: network-manager-config-connectivity-debian
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking
+ This package contains a configuration file which enables NetworkManager's
+ connectivity checking functionality.
+ .
+ NetworkManager will try to connect to a Debian server to determine the
+ connection status.
+ .
+ This is particularly useful for captive portal detection.
+ .
+ No user data is transmitted in the connectivity checks, but merely contacting
+ the Debian connectivity check servers reveals that the user is running a
+ Debian(-based) operating system with NetworkManager.
+
+Package: network-manager-config-connectivity-ubuntu
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
