## network-manager 1.10.6

=== debian/changelog ===
network-manager (1.10.6-2ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in dhcp6 client
    - debian/patches/CVE-2018-15688.patch: make sure we have enough space
      for the DHCP6 option header in
      src/systemd/src/libsystemd-network/dhcp6-option.c.
    - CVE-2018-15688

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Nov 2018 15:06:02 -0400

network-manager (1.10.6-2ubuntu1) bionic; urgency=medium

  * Merge with Debian (LP: #1758331). Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet. (LP: #1676547)
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems. (LP: #1681513)
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch
      + Read-system-connections-from-run.patch
      + e91f1a7d2a6b8400b6b331d5b72287dcb5164a39.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
    - debian/tests/urfkill-integration - don't stop/start network manager
  * Dropped patches applied in new release:
    - settings-preserve-agent-owned-secrets-on-connection-updat.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Mar 2018 09:21:12 -0400

network-manager (1.10.6-2) unstable; urgency=medium

  * Update Vcs-* to point to https://salsa.debian.org

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Mar 2018 01:57:32 +0100

network-manager (1.10.6-1) unstable; urgency=medium

  * New upstream version 1.10.6
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Mar 2018 01:47:52 +0100

network-manager (1.10.4-1ubuntu3) bionic; urgency=medium

  * Cherry-pick a partial patch from 1.11 branch, to stop agressively
    setting route_only flag on nameservers in the systemd-resolved dns
    plugin. LP: #1751797

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 15 Mar 2018 15:24:01 +0000

network-manager (1.10.4-1ubuntu2) bionic; urgency=medium

  [ Bryan Quigley ]
  * debian/tests/urfkill-integration - don't stop/start network manager

  [ Jeremy Bicha ]
  * Cherry-pick patch from 1.10 branch to fix double prompt for wifi password
    on Kubuntu (LP: #1572244)

 -- Bryan Quigley <bryan.quigley@canonical.com>  Fri, 23 Feb 2018 13:52:48 -0500

network-manager (1.10.4-1ubuntu1) bionic; urgency=medium

  * Merge with Debian (LP: #1734586). Remaining changes:
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet. (LP: #1676547)
    - debian/network-manager.maintscript
      + Remove /etc/dbus-1/system.d/nm-ofono.conf
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems. (LP: #1681513)
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch
      + Read-system-connections-from-run.patch
  * Disable dns-manager-don-t-merge-split-DNS-search-domains.patch:
    This patch needs to be updated for the new release but so far, no
    one that understands the issue and patch have worked to update it.
    After waiting for several weeks, we thought it was more important

