=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                libudev-dev (>= 175),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
+               python-gi,
                libpsl-dev (>= 0.1),
                libcurl4-gnutls-dev (>= 7.24.0),
                gtk-doc-tools,
@@ -40,27 +41,22 @@
                libndp-dev,
                libreadline-dev,
                libnewt-dev (>= 0.52.15),
-#               libteam-dev (>= 1.9),
+               libteam-dev (>= 1.9),
                libjansson-dev,
                libbluetooth-dev (>= 5),
                valac (>= 0.17.1.24),
                dbus <!nocheck>,
-               python-gi <!nocheck>,
                python-dbus <!nocheck>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
 Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu
-Vcs-Browser: https://git.launchpad.net/network-manager?h=artful
-XS-Debian-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/network-manager.git
-XS-Debian-Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/network-manager.git
+Vcs-Browser: https://git.launchpad.net/network-manager?h=bionic
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
-# for some reason, building against glibc 2.26 requires GLIBC_2.25 symbol
-# yet shlibs:Depends is not generated for it LP: #1715641
-         libc6 (>= 2.25),
          ${misc:Depends},
          lsb-base (>= 3.2-14),
          wpasupplicant (>= 0.7.3-1),
@@ -77,7 +73,7 @@
             network-manager-pptp,
             crda,
             iputils-arping
-Suggests: avahi-autoipd
+Suggests: avahi-autoipd, libteam-utils
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
@@ -92,9 +88,12 @@
  Optional dependencies:
   * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
     address configuration.
+  * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
-  * ppp: Required for establishing dial-up connections (e.g. via GSM).
+  * libteam-utils: Network Team driver allows multiple network interfaces to be
+    teamed together and act like a single one. This process is called "ethernet
+    bonding", "channel teaming" or "link aggregation".
 
 Package: network-manager-dev
 Section: devel
@@ -254,8 +253,7 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         gir1.2-nm-1.0
+         ${misc:Depends}
 Description: GObject introspection data for the libnm-glib/libnm-util library
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
@@ -312,3 +310,5 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking
